Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class LRUCachePolicy.LRUCacheEntry

    java.lang.Object
      org.jboss.util.LRUCachePolicy.LRUCacheEntry

Enclosing class:
  LRUCachePolicy

public class LRUCachePolicy.LRUCacheEntry
extends Object

Double linked cell used as entry in the cache list.

Field Summary
`Object` | `m_key` The key used to retrieve the cached object
`LRUCachePolicy.LRUCacheEntry` | `m_next` Reference to the next cell in the list
`Object` | `m_object` The cached object
`LRUCachePolicy.LRUCacheEntry` | `m_prev` Reference to the previous cell in the list
`long` | `m_time` The timestamp of the creation

Constructor Summary
`protected` | `LRUCachePolicy.LRUCacheEntry(Object key, Object object)` Creates a new double linked cell, storing the object we want to cache and the key that is used to retrieve it.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_next

    public LRUCachePolicy.LRUCacheEntry m_next

  Reference to the next cell in the list

### m_prev

    public LRUCachePolicy.LRUCacheEntry m_prev

  Reference to the previous cell in the list

### m_key

    public Object m_key

  The key used to retrieve the cached object

### m_object

    public Object m_object

  The cached object

### m_time

    public long m_time

  The timestamp of the creation

Constructor Detail

### LRUCachePolicy.LRUCacheEntry

    protected LRUCachePolicy.LRUCacheEntry(Object key,
                                           Object object)

  Creates a new double linked cell, storing the object we want to cache and the key that is used to retrieve it.

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.